## class Component

> base class for all UI components.

## Inheritance:

### Public Methods

  | Component (const char *name)
  virtual | ~Component ()
  virtual void | Manage () Manage widget tree
  bool | IsManaged () Is widget tree managed.
  virtual void | Unmanage () Unmanage widget tree
  Widget | GetWidget ()
  Display* | GetDisplay ()
  Window | GetWindow ()

### Protected Methods

  void | SetWidget (Widget w)
  const string* | GetName () const
  void | SetName (const string *s)
  void | SetName (const char *s)

## Documentation

> base class for all UI components.

`Component(const char *name)`

`virtual ~Component()`

`virtual void Manage()`
  Manage widget tree

`bool IsManaged()`
  Is widget tree managed.

`virtual void Unmanage()`
  Unmanage widget tree

`Widget GetWidget()`

`Display* GetDisplay()`

`Window GetWindow()`

`void SetWidget(Widget w)`

`const string* GetName() const`

`void SetName(const string *s)`

`void SetName(const char *s)`

Direct child classes:
  MWidget

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de